import * as Promise from 'bluebird';
import * as tsConfig from './tsconfig';
import * as log from './logger';
export interface RunOptions {
    logger: log.ILogService;
    watch?: boolean;
}
export declare function run(options: RunOptions): Promise<void>;
export interface CreateRunnerOptions {
    watch: boolean;
    logger: log.ILogService;
    config: tsConfig.TsConfig;
}
