import * as Promise from 'bluebird';
export declare function copyFile(fromPath: string, toPath: string): Promise<void>;
export declare function readFile(filePath: string): Promise<string>;
export declare function writeFile(filePath: string, data: string): Promise<void>;
export declare function rmrf(filePath: string): Promise<void>;
export interface FindOptions {
    cwd?: string;
    exclude?: string[];
    fullPath?: boolean;
}
export declare function find(pattern: string | string[], options: FindOptions): Promise<string[]>;
